# Source code for azure.mgmt.web.models.virtual_application

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class VirtualApplication(Model):
        """VirtualApplication.

        :param virtual_path:
        :type virtual_path: str
        :param physical_path:
        :type physical_path: str
        :param preload_enabled:
        :type preload_enabled: bool
        :param virtual_directories:
        :type virtual_directories: list of :class:`VirtualDirectory
         <azure.mgmt.web.models.VirtualDirectory>`
        """

        _attribute_map = {
            'virtual_path': {'key': 'virtualPath', 'type': 'str'},
            'physical_path': {'key': 'physicalPath', 'type': 'str'},
            'preload_enabled': {'key': 'preloadEnabled', 'type': 'bool'},
            'virtual_directories': {'key': 'virtualDirectories', 'type': '[VirtualDirectory]'},
        }

        def __init__(self, virtual_path=None, physical_path=None, preload_enabled=None, virtual_directories=None):
            self.virtual_path = virtual_path
            self.physical_path = physical_path
            self.preload_enabled = preload_enabled
            self.virtual_directories = virtual_directories